Browse Source

Merge "[docs] Bring user docs up to date with recent changes"

changes/93/744493/1
Zuul 4 days ago
committed by Gerrit Code Review
parent
commit
16396793d6
1 changed files with 30 additions and 21 deletions
  1. +30
    -21
      doc/source/user/index.rst

+ 30
- 21
doc/source/user/index.rst View File

@@ -1216,28 +1216,32 @@ _`container_infra_prefix`

Images that must be mirrored:

* docker.io/coredns/coredns
* quay.io/coreos/etcd
* docker.io/coredns/coredns:1.3.1
* quay.io/coreos/etcd:v3.4.6
* docker.io/k8scloudprovider/k8s-keystone-auth:v1.18.0
* docker.io/k8scloudprovider/openstack-cloud-controller-manager:v1.18.0
* gcr.io/google_containers/pause:3.1

Images that might be needed when 'use_podman' is 'false':

* docker.io/openstackmagnum/kubernetes-apiserver
* docker.io/openstackmagnum/kubernetes-controller-manager
* docker.io/openstackmagnum/kubernetes-kubelet
* docker.io/openstackmagnum/kubernetes-proxy
* docker.io/openstackmagnum/kubernetes-scheduler
* docker.io/k8scloudprovider/k8s-keystone-auth
* gcr.io/google_containers/pause:3.1

Images that might be needed:

* k8s.gcr.io/hyperkube:v1.18.2
* docker.io/grafana/grafana:5.1.5
* docker.io/prom/node-exporter:latest
* docker.io/prom/prometheus:latest
* docker.io/traefik:v1.7.10
* gcr.io/google_containers/kubernetes-dashboard-amd64:v1.5.1
* gcr.io/google-containers/hyperkube:v1.12.1
* gcr.io/google_containers/metrics-server-amd64:v0.3.6
* k8s.gcr.io/node-problem-detector:v0.6.2
* docker.io/planetlabs/draino:abf028a
* docker.io/openstackmagnum/cluster-autoscaler:v1.0
* docker.io/openstackmagnum/cluster-autoscaler:v1.18.1
* quay.io/calico/cni:v3.13.1
* quay.io/calico/pod2daemon-flexvol:v3.13.1
* quay.io/calico/kube-controllers:v3.13.1
@@ -1246,6 +1250,7 @@ _`container_infra_prefix`
* quay.io/coreos/flannel:v0.12.0-amd64

Images that might be needed if 'monitoring_enabled' is 'true':

* quay.io/prometheus/alertmanager:v0.20.0
* docker.io/squareup/ghostunnel:v1.5.2
* docker.io/jettech/kube-webhook-certgen:v1.0.0
@@ -1255,7 +1260,8 @@ _`container_infra_prefix`
* quay.io/prometheus/prometheus:v2.15.2

Images that might be needed if 'cinder_csi_enabled' is 'true':
* docker.io/k8scloudprovider/cinder-csi-plugin:v1.16.0

* docker.io/k8scloudprovider/cinder-csi-plugin:v1.18.0
* quay.io/k8scsi/csi-attacher:v2.0.0
* quay.io/k8scsi/csi-provisioner:v1.4.0
* quay.io/k8scsi/csi-snapshotter:v1.2.2
@@ -1316,9 +1322,9 @@ _`coredns_tag`
based on its container tag
<https://hub.docker.com/r/coredns/coredns/tags/>`_.
If unset, the current Magnum version's a default etcd version.
Stein Default: 1.3.1
Train Default: 1.3.1
Ussuri Default: 1.6.6
Stein default: 1.3.1
Train default: 1.3.1
Ussuri default: 1.6.6

_`flannel_tag`
This label allows users to select `a specific flannel version,
@@ -1545,13 +1551,6 @@ _`auto_healing_controller`
`magnum-auto-healer doc
<https://github.com/kubernetes/cloud-provider-openstack/blob/master/docs/using-magnum-auto-healer.md>`_.

_`auto_scaling_enabled`
If set to true, auto scaling feature will be enabled. Defaults to true.

_`node_problem_detector_tag`
This label allows users to select a specific Node Problem Detector
version.

_`draino_tag`
This label allows users to select a specific Draino version.

@@ -1563,6 +1562,10 @@ _`magnum_auto_healer_tag`
Train default: v1.15.0
Ussuri default: v1.18.0

_`auto_scaling_enabled`
If set to true, auto scaling feature will be enabled.
Default: false.

_`autoscaler_tag`
This label allows users to override the default cluster-autoscaler container
image tag. Refer to `cluster-autoscaler page for available tags
@@ -1571,17 +1574,23 @@ _`autoscaler_tag`
Train default: v1.0
Ussuri default: v1.18.1

_`npd_enabled`
Set Node Problem Detector service enabled or disabled.
Default: true

_`node_problem_detector_tag`
This label allows users to select a specific Node Problem Detector
version.

_`min_node_count`
The minmium node count of the cluster when doing auto scaling or auto
healing. Defaults to 1.
healing.
Default: 1

_`max_node_count`
The maxmium node count of the cluster when doing auto scaling or auto
healing.

_`npd_enabled`
Set Node Problem Detector service enabled or disabled. Default enabled.

_`use_podman`
Choose whether system containers etcd, kubernetes and the heat-agent will
be installed with podman or atomic. This label is relevant for


Loading…
Cancel
Save